<?php
/*
Plugin Name: TablePress Extension: Random Table Shortcode
Plugin URI: https://tablepress.org/extensions/shortcode-random-table/
Description: Custom Extension for TablePress to show a random table from a given set
Version: 1.0
Author: Tobias Bäthge
Author URI: https://tobias.baethge.com/
*/

/*
 * The Shortcode [random-table from="1,4,6,7,9" /]
 * will display a randomly chosen table from the given IDs.
 */

if ( ! is_admin() ) {
	add_shortcode( 'random-table', 'tablepress_random_table_shortcode' );
}

/**
 * [tablepress_random_table_shortcode description]
 *
 * @since 1.0.0
 *
 * @param array $attributes Shortcode attributes.
 * @return string Random table HTML.
 */
function tablepress_random_table_shortcode( $attributes ) {
	$attributes = (array) $attributes;
	if ( ! isset( $attributes['from'] ) ) {
		return 'The [random-table] must have a `from` parameter.';
	}

	$table_ids = explode( ',', $attributes['from'] );
	$attributes['id'] = $table_ids[ array_rand( $table_ids ) ];
	unset( $attributes['from'] );
	return tablepress_get_table( $attributes );
}
